# Copyright 2016 concept3D, Inc.

module C3D::DragnDropTest

  class Window < UI::WebDialog

    def initialize
      webdialog_options = {
        :dialog_title    => "DragnDropTest",
        :preferences_key => "c3d_dragndrop_test",
        :scrollable      => true,
        :resizable       => true,
        :width           => 400,
        :height          => 400,
        :left            => 25,
        :top             => 25
      }
      super(webdialog_options)

      html_file = File.join(PATH, "html", "main.html")
      set_file(html_file)

      add_action_callback("callback") { |dialog, name|
        puts "Callback: 'callback(#{name})'"

        model = Sketchup.active_model
        show_summary = true

	case name
	  when "chair"
            fileName = File.join(PATH, "models", "Chair.skp")
	  when "trash"
            fileName = File.join(PATH, "models", "Trash.skp")
	  when "floor"
            fileName = File.join(PATH, "models", "Flooring.skp")
	  when "water"
            fileName = File.join(PATH, "models", "Water.skp")
        end
        if fileName != nil
	  puts fileName
          status = model.import fileName, show_summary
	end
      }

    end
  end # class

end # module C3D::DragnDropTest
